<?xml version="1.0" encoding="UTF-8"?>
<quiz>
  <question type="stack">
    <name>
      <text>28.2.3.16 Velocity and curl of a river</text>
    </name>
    <questiontext format="html">
      <text><![CDATA[<p>The surface water velocity on a straight uniform river 20 metres wide is modelled by the vector
\(\underline{v} = \dfrac{1}{{@aa@}} x(20 − x)\underline{j}\) where x is the distance from the west bank (see diagram).</p><p><img src="@@PLUGINFILE@@/3728.svg" alt="image of river with x representing distance from left bank, a total width of 20m and vector j being parallel to the river" width="283" height="188" class="img-fluid atto_image_button_text-bottom"><br></p>

<ol class="HELM_parts">
<li><p>Find the velocity v at each bank and at midstream</p>
<p>Left bank: [[input:ans1]] \(\underline{j}\) [[validation:ans1]]</p>
<p>right bank: [[input:ans2]]\(\underline{j}\) [[validation:ans2]]</p>
<p>midstream: [[input:ans3]]\(\underline{j}\) [[validation:ans3]]</p>[[feedback:prt1]]</li>
<li><p>Find \(\underline{\nabla} \times \underline{v}\) at each bank and at midstream.</p>
<p>Left bank: [[input:ans4]]\(\underline{k}\) [[validation:ans4]]</p>
<p>right bank: [[input:ans5]]\(\underline{k}\) [[validation:ans5]]</p>
<p>right bank: [[input:ans6]]\(\underline{k}\) [[validation:ans6]]</p>[[feedback:prt2]]</li>

</ol>]]></text>
<file name="3728.svg" path="/" encoding="base64">[encoded data, 11956 characters]</file>
    </questiontext>
    <generalfeedback format="html">
      <text><![CDATA[<p>(a) Consider \(\underline{v}\) as a function of x, so that we have \(\underline{v}(x) = \dfrac{1}{{@aa@}}x(20-x)\underline{j}\).
From the diagram, we see we are calculating for the left bank when \(x=0\), so \(\underline{v}(0)=\underline{0}\).
Similarly, we are calculating for the right bank when \(x= 20\), so \(\underline{v}(20)=\underline{0}\).
Finally, we are calculating for midstream when \(x= 10\), so \(\underline{v}(10)=\dfrac{1}{{@aa@}}(10)(20-(10))\underline{j} ={@100/aa@}\underline{j}\).</p>
<hr>
<p>(b) We start by calculating \(\underline{\nabla} \times \underline{v}(x)\) for general x:
\[
\begin{aligned}
\underline{\nabla} \times \underline{v}(x) &amp;= \begin{vmatrix}
                                                             \underline{i}                     &amp; \underline{j}                         &amp; \underline{k} \\
                                                              \dfrac{\partial}{\partial x} &amp; \dfrac{\partial}{\partial y}    &amp; \dfrac{\partial}{\partial z} \\
                                                              0                                      &amp; \dfrac{1}{{@aa@}} x(20 − x) &amp; 0
\end{vmatrix} \\
&amp;= \underline{i}\left(\dfrac{\partial}{\partial y}(0) - \dfrac{\partial}{\partial z}( \dfrac{1}{{@aa@}} x(20 − x))\right) - \underline{j}\left(\dfrac{\partial}{\partial x}(0) - \dfrac{\partial}{\partial z} (0) \right) + \underline{k}\left(\dfrac{\partial}{\partial x}(\dfrac{1}{{@aa@}} x(20 − x)) - \dfrac{\partial}{\partial y}(0)\right) \\
&amp;= \dfrac{1}{{@aa@}}(20-2x)\underline{k}.
\end{aligned}
\]

Then for the left bank: \(\underline{\nabla} \times \underline{v}(0) = {@20/aa@}\underline{k},\) <br>
for the right bank: \(\underline{\nabla} \times \underline{v}(20) =- {@20/aa@}\underline{k},\)<br>
and for midstream: \(\underline{\nabla} \times \underline{v}(10) =\underline{0}.\) </p>]]></text>
    </generalfeedback>
    <defaultgrade>1</defaultgrade>
    <penalty>0.1</penalty>
    <hidden>0</hidden>
    <idnumber/>
    <stackversion>
      <text>2025040100</text>
    </stackversion>
    <questionvariables>
      <text>aa:(1+rand(9))*10

ta1l:0;
ta1r:0;
ta1m:100/aa;
ta2l:20/aa;
ta2r:-20/aa;
ta2m:0;</text>
    </questionvariables>
    <specificfeedback format="html">
      <text/>
    </specificfeedback>
    <questionnote format="html">
      <text>\(\underline{v} = \dfrac{1}{{@aa@}} x(20 − x)\underline{j}\)</text>
    </questionnote>
    <questiondescription format="html">
      <text/>
    </questiondescription>
    <questionsimplify>1</questionsimplify>
    <assumepositive>0</assumepositive>
    <assumereal>0</assumereal>
    <prtcorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:green;"><i class="fa fa-check"></i></span> Correct answer, well done.]]></text>
    </prtcorrect>
    <prtpartiallycorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:orange;"><i class="fa fa-adjust"></i></span> Your answer is partially correct.]]></text>
    </prtpartiallycorrect>
    <prtincorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:red;"><i class="fa fa-times"></i></span> Incorrect answer.]]></text>
    </prtincorrect>
    <decimals>.</decimals>
    <scientificnotation>*10</scientificnotation>
    <multiplicationsign>dot</multiplicationsign>
    <sqrtsign>1</sqrtsign>
    <complexno>i</complexno>
    <inversetrig>cos-1</inversetrig>
    <logicsymbol>lang</logicsymbol>
    <matrixparens>[</matrixparens>
    <isbroken>0</isbroken>
    <variantsselectionseed/>
    <input>
      <name>ans1</name>
      <type>algebraic</type>
      <tans>ta1l</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <input>
      <name>ans2</name>
      <type>algebraic</type>
      <tans>ta1r</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <input>
      <name>ans3</name>
      <type>algebraic</type>
      <tans>ta1m</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <input>
      <name>ans4</name>
      <type>algebraic</type>
      <tans>ta2l</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <input>
      <name>ans5</name>
      <type>algebraic</type>
      <tans>ta2r</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <input>
      <name>ans6</name>
      <type>algebraic</type>
      <tans>ta2m</tans>
      <boxsize>15</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <prt>
      <name>prt1</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text/>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans1</sans>
        <tans>ta1l</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>0</truescore>
        <truepenalty/>
        <truenextnode>1</truenextnode>
        <trueanswernote>prt1-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt1-1-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>1</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans2</sans>
        <tans>ta1r</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0</truescore>
        <truepenalty/>
        <truenextnode>2</truenextnode>
        <trueanswernote>prt1-2-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt1-2-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>2</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans3</sans>
        <tans>ta1m</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>1</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt1-3-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt1-3-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
    </prt>
    <prt>
      <name>prt2</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text/>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans4</sans>
        <tans>ta2l</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>0</truescore>
        <truepenalty/>
        <truenextnode>1</truenextnode>
        <trueanswernote>prt2-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt2-1-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>1</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans5</sans>
        <tans>ta2r</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>+</truescoremode>
        <truescore>0</truescore>
        <truepenalty/>
        <truenextnode>2</truenextnode>
        <trueanswernote>prt2-2-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt2-2-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
      <node>
        <name>2</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans6</sans>
        <tans>ta2m</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>1</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt2-3-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>-</falsescoremode>
        <falsescore>0</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt2-3-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
    </prt>
    <deployedseed>2014604151</deployedseed>
    <deployedseed>1732778463</deployedseed>
    <deployedseed>1658326550</deployedseed>
    <deployedseed>362698149</deployedseed>
    <deployedseed>1175578992</deployedseed>
    <deployedseed>156905158</deployedseed>
    <deployedseed>408619014</deployedseed>
    <deployedseed>1272576599</deployedseed>
    <deployedseed>211704849</deployedseed>
    <qtest>
      <testcase>1</testcase>
      <description>Test case assuming the teacher's input gets full marks.</description>
      <testinput>
        <name>ans1</name>
        <value>ta1l</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value>ta1r</value>
      </testinput>
      <testinput>
        <name>ans3</name>
        <value>ta1m</value>
      </testinput>
      <testinput>
        <name>ans4</name>
        <value>ta2l</value>
      </testinput>
      <testinput>
        <name>ans5</name>
        <value>ta2r</value>
      </testinput>
      <testinput>
        <name>ans6</name>
        <value>ta2m</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt1-3-T</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt2-3-T</expectedanswernote>
      </expected>
    </qtest>
    <qtest>
      <testcase>2</testcase>
      <description>fail part (a)</description>
      <testinput>
        <name>ans1</name>
        <value>ta1l</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value>ta1r+5</value>
      </testinput>
      <testinput>
        <name>ans3</name>
        <value>ta1m</value>
      </testinput>
      <testinput>
        <name>ans4</name>
        <value>ta2l</value>
      </testinput>
      <testinput>
        <name>ans5</name>
        <value>ta2r</value>
      </testinput>
      <testinput>
        <name>ans6</name>
        <value>ta2m</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>0.0000000</expectedscore>
        <expectedpenalty/>
        <expectedanswernote>prt1-2-F</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt2-3-T</expectedanswernote>
      </expected>
    </qtest>
    <qtest>
      <testcase>3</testcase>
      <description>fail part (b)</description>
      <testinput>
        <name>ans1</name>
        <value>ta1l</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value>ta1r</value>
      </testinput>
      <testinput>
        <name>ans3</name>
        <value>ta1m</value>
      </testinput>
      <testinput>
        <name>ans4</name>
        <value>ta2l</value>
      </testinput>
      <testinput>
        <name>ans5</name>
        <value>ta2r+5</value>
      </testinput>
      <testinput>
        <name>ans6</name>
        <value>ta2m</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt1-3-T</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore>0.0000000</expectedscore>
        <expectedpenalty/>
        <expectedanswernote>prt2-2-F</expectedanswernote>
      </expected>
    </qtest>
  </question>
</quiz>
